Was this page helpful?
Your feedback about this content is important. Let us know what you think.
Additional feedback?
1500 characters remaining
Export (0) Print
Expand All

PassportIdentity Class

Provides a class to be used by PassportAuthenticationModule. It provides a way for an application to access the Ticket method. This class cannot be inherited.

Namespace: System.Web.Security
Assembly: System.Web (in system.web.dll)

public ref class PassportIdentity sealed : IIdentity, IDisposable
public final class PassportIdentity implements IIdentity, IDisposable
public final class PassportIdentity implements IIdentity, IDisposable
Not applicable.

You must install the Passport SDK in order to use the.NET Passport classes and methods. Passport SDK version 1.4 is supported but not recommended. Passport SDK version 2.1 is both supported and recommended. The Passport SDK is available for download at http://www.microsoft.com/net/downloads.asp.

For more information on Passport authentication, see Passport Authentication Provider.

NoteNote:

In some methods of this class, the corresponding Passport method has optional parameters. Whenever a Passport method has optional integer or Boolean parameters, you can pass "-1" to indicate that Passport should use the default value. Whenever a Passport method has optional string parameters, you can pass a null reference (Nothing in Visual Basic) to indicate that Passport should use the default value. It is noted in the parameter description when a parameter can accept one of these default values.

Windows XP Home Edition, Windows XP Professional x64 Edition, Windows Server 2003 Platform Note: Only Passport SDK version 2.1 is supported.

TopicLocation
How to: Implement Passport Authentication in ASP.NET ApplicationsBuilding ASP .NET Web Applications

No code example is currently available or this language may not be supported.

System.Object
  System.Web.Security.PassportIdentity

Any public static (Shared in Visual Basic) members of this type are thread safe. Any instance members are not guaranteed to be thread safe.

Windows 98, Windows Server 2000 SP4, Windows Server 2003, Windows XP Media Center Edition, Windows XP Professional x64 Edition, Windows XP SP2, Windows XP Starter Edition

The Microsoft .NET Framework 3.0 is supported on Windows Vista, Microsoft Windows XP SP2, and Windows Server 2003 SP1.

.NET Framework

Supported in: 3.0, 2.0, 1.1, 1.0

Community Additions

ADD
Show:
© 2015 Microsoft